Right now, any patch which modifies common autotools source files
triggers autoreconf. In some cases, this causes the package to be
reconfigured twice -- once by the eclass, and the second time by the
ebuild.

To avoid that, trigger autoreconfiguration only when user patches modify
these files.
---
 autotools-utils.eclass |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

diff --git a/autotools-utils.eclass b/autotools-utils.eclass
index 4f54814..559ef0a 100644
--- a/autotools-utils.eclass
+++ b/autotools-utils.eclass
@@ -359,8 +359,9 @@ autotools-utils_src_prepare() {
 
        local want_autoreconf=${AUTOTOOLS_AUTORECONF}
 
-       touch "${T}"/.autotools-utils.timestamp || die
        [[ ${PATCHES} ]] && epatch "${PATCHES[@]}"
+
+       touch "${T}"/.autotools-utils.timestamp || die
        epatch_user
        if [[ ! ${want_autoreconf} ]]; then
                if [[ $(find . -newer "${T}"/.autotools-utils.timestamp \
@@ -368,7 +369,7 @@ autotools-utils_src_prepare() {
                                -o -name 'configure.ac' \
                                -o -name 'configure.in' ')' \
                                -print -quit) ]]; then
-                       einfo 'Will autoreconfigure due to patches applied.'
+                       einfo 'Will autoreconfigure due to user patches 
applied.'
                        want_autoreconf=yep
                fi
        fi
-- 
1.7.8.3


Reply via email to